{
    "http.proxy": "",
    "http.proxySupport": "override",
    "proxyType": "system",
    "setProxy": "",
    "systemProxyUrl": "",
    "workbench.colorTheme": "Sublime VSCode Theme",
    "workbench.colorThemeType": "dark",
    "typescript.tsdk": "E:\\TikTok DevTool\\@bytedminiprogram-ide\\resources\\app\\app.content\\dist\\assets\\business\\typescript\\lib",
    "files.associations": {
        "*.ttss": "css",
        "*.wxss": "css",
        "*.sjs": "javascript",
        "*.ttml": "ttml",
        "*.wxml": "ttml",
        "*.sk": "ttml"
    },
    "files.exclude": {
        "**/.git": true,
        "**/.svn": true,
        "**/.hg": true,
        "**/CVS": true,
        "**/.DS_Store": true,
        "**/Thumbs.db": true,
        "**/.byte-ide": true
    },
    "emmet.includeLanguages": {
        "sjs": "javascript"
    },
    "security.workspace.trust.untrustedFiles": "open",
    "[jsonc]": {
        "editor.defaultFormatter": "HookyQR.beautify"
    },
    "explorer.confirmDelete": false,
    "less.compile": {
        "compress": false,
        "out": true,
        "outExt": ".ttss"
    },
    "[javascript]": {
        "editor.defaultFormatter": "HookyQR.beautify"
    },
    "[json]": {
        "editor.defaultFormatter": "HookyQR.beautify"
    },
    "editor.tokenColorCustomizations": {
        "keywords": {
            "foreground": "#FF0000",
            "fontStyle": "italic bold"
        },
        "variables": {
            "foreground": "#ffffff",
            "fontStyle": "italic bold",
        },
        //字符串
        "strings": {
            "foreground": "#fbff00",
            "fontStyle": "italic"
        },
        //函数
        "functions": "#00ffff",
        //注释
        "comments": "#969696",
        "types": "#00ff95"
    },
    "editor.formatOnSave": true,
    "editor.wordWrap": "on",
    // 开启原生括号着色
    "editor.bracketPairColorization.enabled": true,
    // 开启代码块边缘导轨线着色
    "editor.guides.bracketPairs": "active",
    //覆盖当前所选颜色主题的颜色
    "workbench.colorCustomizations": {
        //光标颜色
        "editorCursor.foreground": "#00ff00",
        //编辑器背景色
        "editor.background": "#00000025",
        //光标所在行边框颜色
        //光标所在行背景颜色
        "editor.lineHighlightBorder": "#ffffffa1",
        "editor.lineHighlightBackground": "#ffffff1e",
        //光标选中文本的背景颜色
        //光标选中文本时匹配同类型的值的背景颜色
        "editor.selectionBackground": "#ff0000c2",
        "editor.selectionHighlightBackground": "#00ffff80",
        //缩进参考线的颜色
        "editorIndentGuide.activeBackground": "#f92672",
        //方括号出现意外的前景色
        "editorBracketHighlight.unexpectedBracket.foreground": "#ff0000",
        //括号的前景色，需要启用括号对着色
        "editorBracketHighlight.foreground1": "#ffff00",
        "editorBracketPairGuide.activeBackground1": "#ffff00",
        "editorBracketHighlight.foreground2": "#f92672",
        "editorBracketPairGuide.activeBackground2": "#f92672",
        "editorBracketHighlight.foreground3": "#00ffff",
        "editorBracketPairGuide.activeBackground3": "#00ffff",
        "editorBracketHighlight.foreground4": "#00ff00",
        "editorBracketPairGuide.activeBackground4": "#00ff00",
        "workbench.colorTheme": "Sublime VSCode Theme",
        "[Sublime VSCode Theme]": {
            "activityBar.activeBackground": "#ffffff1e",
            "activityBar.background": "#292b27",
            "activityBar.foreground": "#ffffff",
            "activityBar.activeBorder": "#ff0000",
            "activityBar.activeFocusBorder": "#ff0000",
            "breadcrumb.foreground": "#ffffff",
            "breadcrumb.background": "#1a1b18",
            "sideBar.background": "#1e1f1c",
            "sideBarSectionHeader.background": "#343532",
            "sideBarSectionHeader.foreground": "#fff",
            "sideBar.border": "#777777",
            "sideBar.foreground": "#fff",
            "list.hoverBackground": "#8a8a8a",
            "list.inactiveSelectionBackground": "#75715e",
            "editor.selectionBackground": "#ff0000",
            "editorGroupHeader.tabsBackground": "#141415"
        },
    },
    "editor.cursorBlinking": "smooth",
}
